Wallet

This endpoint can be used to retrieve the current wallet-status of the specified user. A wallet contains either budget, bundles, discount-bundles or a combination of those three.

Reference

GET /wallet/<userId>


Fields

field type description/constraints Req W U
userId int The userId Yes No No
walletUserId boolean/int The userId whose wallet is used if applicable
Default: false
Yes No No
budget object Normal budget as paid for by the user by iDeal or Creditcard.
See: budget-object
Yes No No
bundle object A bundle contains credits instead of budget. Each credit represents one publish-action for an advertisement.
See: bundle-object
Yes No No
discountBundle object A discount bundle contains a regular budget, however, the user will receive a discount for each action as defined by field: percentage.
See: discountBundle-object
Yes No No
flatrate object flatrate-object Yes No No


Fields budget

field type description/constraints Req W U
gross int The gross budget value in whole cents.
Includes reservations for actions not yet processed by GoedGeplaatst.
Yes No No
reserved int The amount of budget reserved in whole cents for actions not yet processed by GoedGeplaatst. Yes No No
net int The net-budget value in whole cents Yes No No


Fields bundle

field type description/constraints Req W U
gross int The gross amount of advertisements available
Includes reservations for actions not yet processed by GoedGeplaatst.
Yes No No
reserved int The amount of advertisements reserved for actions not yet processed by GoedGeplaatst Yes No No
net int The net amount of advertisements available Yes No No


Fields discountBundle

field type description/constraints Req W U
bundleId int The bundleId Yes No No
productId int The productId of this bundle Yes No No
description string The description of this discount bundle Yes No No
amount int The total value of the discount bundle at the date it was purchased in whole cents Yes No No
percentage int The discount-percentage applicable for this discount bundle Yes No No
gross int The gross budget value in whole cents.
Includes reservations for actions not yet processed by GoedGeplaatst.
Yes No No
reserved int The amount of budget reserved in whole cents for actions not yet processed by GoedGeplaatst Yes No No
net int The net-budget value in whole cents Yes No No


Fields Flatrate

field type constraints Req W U
enabled boolean true/false Yes Yes Yes
startDate date yyyy-mm-dd No Yes Yes
default: 0000-00-00
maxPerMonth int The maximum number of items per month allowed No Yes Yes
default: 0 (= unlimited)
totalCurrentMonth int The number of ads published in the current month No No No
When the value of this field exceeds the value of maxPerMonth, field enabled will automatically return false as a result

Example retrieving wallet

Request

GET /rest/v1/wallet/12311 HTTP/2

Response

{
  "result": true,
  "errors": [],
  "data": {
    "userId": 12311,
    "walletUserId": false,
    "budget": {
      "gross": 114702,
      "reserved": 0,
      "net": 114702
    },
    "bundle": {
      "gross": 0,
      "reserved": 0,
      "net": 0
    },
    "discountBundle": {
      "bundleId": 0,
      "productId": 0,
      "description": "",
      "amount": 0,
      "percentage": 0,
      "gross": 0,
      "reserved": 0,
      "net": 0
    },
    "flatrate": {
      "enabled": true,
      "startDate": "2026-03-05",
      "maxPerMonth": 23,
      "totalCurrentMonth": 0
    }
  }
}